org.apache.felix.ipojo.manipulator.manifest

## Class FileManifestProvider

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.manifest.FileManifestProvider

All Implemented Interfaces:
  ManifestProvider

    public class FileManifestProvider
    extends Object
    implements ManifestProvider

A `FileManifestProvider` reads a `Manifest` from the given input `File`.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`FileManifestProvider(File resource)` Read the manifest from the given input file

### Method Summary

All Methods Instance Methods Concrete Methods
`Manifest` `getManifest()` Returns the original bundle's Manifest.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileManifestProvider

    public FileManifestProvider(File resource)
                         throws IOException

Read the manifest from the given input file

Parameters:
  `resource` - File pointing to a Manifest file
Throws:
  `IOException` - if there is an error during File IO operations or if the file is not a valid manifest.

### Method Detail

#### getManifest

    public Manifest getManifest()

Description copied from interface: `ManifestProvider`
Returns the original bundle's Manifest.

Specified by:
  `getManifest` in interface `ManifestProvider`
Returns:
  Manifest of the bundle